SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   libXfont Vendors:   X.org
(Oracle Issues Fix for Oracle Linux) libXfont Font Processing Flaws Lets Local Users Deny Service or Gain Elevated Privileges
SecurityTracker Alert ID:  1033476
SecurityTracker URL:  http://securitytracker.com/id/1033476
CVE Reference:   CVE-2015-1802, CVE-2015-1803, CVE-2015-1804   (Links to External Site)
Date:  Sep 4 2015
Impact:   Denial of service via local system, User access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   Several vulnerabilities were reported in libXfont. A local user can obtain elevated privileges on the target system.

A local user with access to the X server can cause the X server to read an arbitrary font file to trigger a memory corruption error and cause denial of service conditions or execute arbitrary code on the target system with the privileges of the X server (which may be root privileges on some systems).

An overflow may occur in bdfReadProperties() in the property count [CVE-2015-1802].

An invalid pointer error may cause a crash in bdfReadCharacters() [CVE-2015-1803].

An overflow may occur in bdfReadCharacters() [CVE-2015-1804].

Ilja van Sprundel of IOActive, Alan Coopersmith of Oracle, and William Robinet of Conostix reported these vulnerabilities.

Impact:   A local user can obtain elevated privileges on the target system.

A local user can cause the X server to crash.

Solution:   Oracle has issued a fix.

The Oracle Linux advisory is available at:

http://linux.oracle.com/errata/ELSA-2015-1708.html

Vendor URL:  linux.oracle.com/errata/ELSA-2015-1708.html (Links to External Site)
Cause:   Access control error, Boundary error
Underlying OS:  Linux (Oracle)
Underlying OS Comments:  6, 6.5, 6.6, 7

Message History:   This archive entry is a follow-up to the message listed below.
Mar 17 2015 libXfont Font Processing Flaws Lets Local Users Deny Service or Gain Elevated Privileges



 Source Message Contents

Subject:  [El-errata] ELSA-2015-1708 Important: Oracle Linux 7 libXfont security update

Oracle Linux Security Advisory ELSA-2015-1708

http://linux.oracle.com/errata/ELSA-2015-1708.html

The following updated rpms for Oracle Linux 7 have been uploaded to the 
Unbreakable Linux Network:

x86_64:
libXfont-1.4.7-3.el7_1.i686.rpm
libXfont-1.4.7-3.el7_1.x86_64.rpm
libXfont-devel-1.4.7-3.el7_1.i686.rpm
libXfont-devel-1.4.7-3.el7_1.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates/libXfont-1.4.7-3.el7_1.src.rpm



Description of changes:

[1.4.7-3]
- CVE-2015-1802: missing range check in bdfReadProperties (bug 1258894)
- CVE-2015-1803: crash on invalid read in bdfReadCharacters (bug 1258894)
- CVE-2015-1804: out-of-bounds memory access in bdfReadCharacters (bug 
1258894)


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2022, SecurityGlobal.net LLC